
    #   Calculate time barycentre inside and outside the Sun
    
    #	Input:	bary_minmax.csv     (Output from bary_minmax_csv.pl)
    #	Output: Standard output
    
    #	by John Walker
    #	http://www.fourmilab.ch/
    
    #	For details, please see: http://www.fourmilab.ch/documents/canon_transits/

    use strict;
    use warnings;
    require 'julian.pl';
    
    my $l;
    
    my $lastev = 'nothing';
    my $lastdate = 0;
    my ($inside, $outside) = (0, 0);

    open(FI, "<bary_minmax.csv") || die("Cannot open bary_minmax.csv");
    while ($l = <FI>) {
    	$l =~ m/^(\w+),([^,]+),([^,]+),/ || die("Parse error on $l");
	my ($event, $G, $jd) = ($1, $2, $3);
    	if (($event eq 'exit') || ($event eq 'enter')) {
	    if ($lastev ne 'nothing') {
		die("Ugh: $jd $lastev -> $event") if ($event eq $lastev);
		if ($event eq 'exit') {
		    $inside += ($jd - $lastdate);
		} else {
		    $outside += ($jd - $lastdate);
		}
	    }
	    $lastev = $event;
	    $lastdate = $jd;
    	}
    }
    close(FI);

    my $dtot = $inside + $outside;
    print("Total days: $dtot\n");
    my ($iper, $oper) = ((100 * ($inside / $dtot)), (100 * ($outside / $dtot)));
    print("Days inside: $inside   $iper\%\n");
    print("Days outside: $outside  $oper\%\n");
