/*

    	      Julian Day Utilities
	    
	         by John Walker
	    http://www.fourmilab.ch/
	    
       This program is in the public domain.
*/

extern int leap_gregorian(const int year);
extern double gregorian_to_jd(const int year, const int month, const int day);
void jd_to_gregorian(const double jd, int *yy, int *mm, int *dd);

extern int leap_julian(const int year);
extern double julian_to_jd(int year, int month, const int day);
extern void jd_to_julian(const double jd, int *yy, int *mm, int *dd);

extern double unix_time_to_jd(const double utime);
extern double jd_to_unix_time(const double jd);

extern void jd_to_civil_time(double j, int *h, int *m, int *s);

extern const char *weekday_names[7];
extern int jd_to_weekday(double j);
