/*

    	Read output file from ssystem
	
*/

    /*	Floating point type returned by readout.  */
    
    typedef double Double;

    /*	Object indices in state vector and object array
    	returned by readobj.  */

    typedef enum {
    	Librations = 0,
	Mercury = 1,
	Venus = 2,
	EMB = 3,
	Mars = 4,
	Jupiter = 5,
	Saturn = 6,
	Uranus = 7,
	Neptune = 8,
	Pluto = 9,
	Moon_Vec = 10,
	Sun = 11
    } ss_objects;
    
    /*	State vector for an individual object  */
    
    typedef struct {
    	Double pos[3];	    	    /* Position: X, Y, Z */
	Double vel[3];	    	    /* Velocity: dX, dY, dZ */
    } ss_statevec;

    typedef struct {
    	Double jd;  	    	    /* Julian date */
	ss_statevec obj[Sun + 1];   /* Object state vectors */
    } ss_step;
    
    extern const char *ss_objname[Sun + 1]; /* Object names */

    extern int readout(FILE *fi, ss_step *s);
